commit 21e42355c1c848af17c6a099e917be40950ea023
Author: freddy77 <freddy77>
Date:   Fri Apr 17 17:16:22 2009 +0000

    set LD_RUN_PATH to find proper libraries

diff --git a/ChangeLog b/ChangeLog
index 7d3e342..337ae2a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Apr 17 19:16:14 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/sybase_tests: set LD_RUN_PATH to find proper libraries
+
 Fri Apr 17 16:28:55 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* misc/sybase_tests: script to compile dblib unittests using Sybase
 
@@ -1477,4 +1480,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2769 2009/04/17 14:29:37 freddy77 Exp $
+$Id: ChangeLog,v 1.2770 2009/04/17 17:16:22 freddy77 Exp $
diff --git a/misc/sybase_tests b/misc/sybase_tests
index ecba840..35c4924 100755
--- a/misc/sybase_tests
+++ b/misc/sybase_tests
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-# $Id: sybase_tests,v 1.1 2009/04/17 14:29:44 freddy77 Exp $
+# $Id: sybase_tests,v 1.2 2009/04/17 17:16:28 freddy77 Exp $
 # these commands build dblib tests using Sybase dblib
 
 errore() {
@@ -34,6 +34,11 @@ handle_exit() {
 cd src/dblib/unittests
 rm -f *.o *.exe
 make clean
+if test "$LD_RUN_PATH" != ""; then
+	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib:$LD_RUN_PATH"
+else
+	export LD_RUN_PATH="$SYBASE/$OCSDIR/lib"
+fi
 trap handle_exit EXIT
 echo '#include <sybfront.h>' > sqlfront.h
 echo '#include <sybdb.h>' > sqldb.h

